package http.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class UserVo implements Parcelable {

    public String userId; // 人员id
    public String userName; // 人员姓名
    public String userType; // 人员类型 00-系统用户 11-教职工 22-学生 99-大屏
    public String pageType; // 人员分类 1-1类页面  2-2类页面
    public String isWhite;
    public String isDutyUser; // 是否值班人员 1-是 0-不是
    public boolean isBigDev;// 是否处于大仪预约时段
    public boolean isAdmit;//  是否准入

    public UserVo() {
    }

    protected UserVo(Parcel in) {
        userId = in.readString();
        userName = in.readString();
        userType = in.readString();
        pageType = in.readString();
        isWhite = in.readString();
        isDutyUser = in.readString();
        isBigDev = in.readBoolean();
        isAdmit = in.readBoolean();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(userId);
        dest.writeString(userName);
        dest.writeString(userType);
        dest.writeString(pageType);
        dest.writeString(isWhite);
        dest.writeString(isDutyUser);
        dest.writeBoolean(isBigDev);
        dest.writeBoolean(isAdmit);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<UserVo> CREATOR = new Creator<UserVo>() {
        @Override
        public UserVo createFromParcel(Parcel in) {
            return new UserVo(in);
        }

        @Override
        public UserVo[] newArray(int size) {
            return new UserVo[size];
        }
    };

    @Override
    public String toString() {
        return "UserVo{" +
                "userId='" + userId + '\'' +
                ", userName='" + userName + '\'' +
                ", userType='" + userType + '\'' +
                ", pageType='" + pageType + '\'' +
                ", isWhite='" + isWhite + '\'' +
                ", isDutyUser='" + isDutyUser + '\'' +
                ", isBigDev=" + isBigDev +
                ", isAdmit=" + isAdmit +
                '}';
    }
}
